CDECL(1)

NAME
cdecl - decode C type declarations

SYNOPSIS
cdecl [-V] [-o file] [file ...]

DESCRIPTION
The cdecl utility decodes C type declarations producing a verbose description. Casts are accepted as well.

The options are as follows:

-o file
    Set the output destination to file.

-V  Print version information on standard output then exit.

EXAMPLES

    char *s;
    void (*signal(int sig, void (*func)(int)))(int);
    (const char *)s;
    (void (*)(int))signal_function;

SEE ALSO
cundecl(1)

STANDARDS
The cdecl utility is expected to be ansiC-89 compatible.

AUTHORS
Sandro Sigala <sandro@sigala.it>